Subject: Re: bug#4508: 23.1; (efaq) Emacs for MS-Windows has bad URL

From: Juanma Barranquero <[email-masked]>
Date: Tue, 22 Sep 2009 10:49:02 +0200

On Mon, Sep 21, 2009 at 23:44, Drew Adams <[email-masked]> wrote:

> FYI - The problem is that the right paren is included as part of the link. If
> you remove the right paren, then the URL is OK and the link works.

I've fixed it by making Info-try-follow-nearest-node to follow the
information extracted by Info-get-token. Parentheses in URLs are valid
but apparently not very frequent (outside of Wikipedia).

If this change causes trouble with URLs containing parentheses,
perhaps changing the regexp passed to Info-get-token would be an
option; but currently the Emacs-supplied info files do not have any
such URL.

    Juanma